package speiger.src.coreengine.rendering.gui.font;

import speiger.src.coreengine.assets.AssetLocation;

public record FontStyle(AssetLocation font, float size) {
	
	public FontStyle with(AssetLocation font, float size) {
		return new FontStyle(font, size);
	}
	
	public FontStyle with(AssetLocation font) {
		return new FontStyle(font, size);
	}
	
	public FontStyle with(float size) {
		return new FontStyle(font, size);
	}
}
